## org.eclipse.datatools.connectivity.oda
Class LogConfiguration

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.LogConfiguration

public class LogConfiguration
extends java.lang.Object

Encapsulates the trace logging configuration specified for an ODA run-time driver.

Constructor Summary
`LogConfiguration(int logLevel, java.lang.String logDirectory, java.lang.String logPrefix, java.lang.String formatterClassName)` Constructor to set the trace logging configuration of the ODA runtime driver for all data source types supported by the IDriver.
`LogConfiguration(java.lang.String dataSourceId, int logLevel, java.lang.String logDirectory, java.lang.String logPrefix, java.lang.String formatterClassName)` Constructor to set the trace logging configuration of the ODA runtime driver for the given type of data source and its runtime connection(s).

Method Summary
`java.lang.String` `getDataSourceId()` Returns the id of a type of data source to apply the logging configuration.
`java.lang.String` `getFormatterClassName()` Returns the fully qualified class name of a `LogFormatter` implementation class, suitable for use by the driver-specific logging utility.
`java.lang.String` `getLogDirectory()` Returns the absolute path of the log directory.
`int` `getLogLevel()` Returns the level of information to log.
`java.lang.String` `getLogPrefix()` Returns the prefix used in the log file name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogConfiguration

    public LogConfiguration(java.lang.String dataSourceId,
                            int logLevel,
                            java.lang.String logDirectory,
                            java.lang.String logPrefix,
                            java.lang.String formatterClassName)

  Constructor to set the trace logging configuration of the ODA runtime driver for the given type of data source and its runtime connection(s).

Parameters:
  `dataSourceId` - The id of a type of data source to apply the logging configuration. A null or empty String means to apply to all data source types supported by this IDriver.
  `logLevel` - The level of information to log. The value of a log level is implementation dependent of the Logger used.
  `logDirectory` - The absolute path of the log directory.
  `logPrefix` - The prefix used in the log file name. For example, it could be used in the log file format: <logPrefix>-YYYYMMDD-hhmmss.log, but its usage is implementation dependent.
  `formatterClassName` - The fully qualified class name of a `LogFormatter` implementation class.

### LogConfiguration

    public LogConfiguration(int logLevel,
                            java.lang.String logDirectory,
                            java.lang.String logPrefix,
                            java.lang.String formatterClassName)

  Constructor to set the trace logging configuration of the ODA runtime driver for all data source types supported by the IDriver.

Method Detail

### getDataSourceId

    public java.lang.String getDataSourceId()

  Returns the id of a type of data source to apply the logging configuration. A null or empty String means to apply to all data source types supported by this IDriver.

  Returns:
    the dataSourceId.

### getFormatterClassName

    public java.lang.String getFormatterClassName()

  Returns the fully qualified class name of a `LogFormatter` implementation class, suitable for use by the driver-specific logging utility.

  Returns:
    the formatterClassName, or null if none is configured.

### getLogDirectory

    public java.lang.String getLogDirectory()

  Returns the absolute path of the log directory.

  Returns:
    the logDirectory, or null if none is configured.

### getLogLevel

    public int getLogLevel()

  Returns the level of information to log. The value of a log level is implementation dependent of the Logger used.

  Returns:
    the logLevel.

### getLogPrefix

    public java.lang.String getLogPrefix()

  Returns the prefix used in the log file name. For example, it could be used in the log file format: <logPrefix>-YYYYMMDD-hhmmss.log, but its usage is implementation dependent.

  Returns:
    the logPrefix, or null if none is configured.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.